"""portal URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from webapp.views import courses_views as webapp_views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', webapp_views.CoursesListView.as_view(), name='courses_list'),
    path('course/<int:course_pk>/', webapp_views.CourseDetailView.as_view(), name='course_detail'), 
    path('course/<int:pk>/delete', webapp_views.CourseDeleteView.as_view(), name='course_delete')
]
